# DifficultySettings Struct Reference

Settings related to the difficulty of the game. More...

`#include <settings_type.h>`

## Data Fields
byte | max_no_competitors
| the number of competitors (AIs)
byte | number_towns
| the amount of towns
byte | number_industries
| the amount of industries
uint32 | max_loan
| the maximum initial loan
byte | initial_interest
| amount of interest (to pay over the loan)
byte | vehicle_costs
| amount of money spent on vehicle running cost
byte | competitor_speed
| the speed at which the AI builds
byte | vehicle_breakdowns
| likelihood of vehicles breaking down
byte | subsidy_multiplier
| amount of subsidy
byte | construction_cost
| how expensive is building
byte | terrain_type
| the mountainousness of the landscape
byte | quantity_sea_lakes
| the amount of seas/lakes
byte | economy
| how volatile is the economy
byte | line_reverse_mode
| reversing at stations or not
byte | disasters
| are disasters enabled
byte | town_council_tolerance
| minimum required town ratings to be allowed to demolish stuff
byte | diff_level
| the difficulty level

## Detailed Description

Settings related to the difficulty of the game.

Definition at line 15 of file settings_type.h.

The documentation for this struct was generated from the following file:

- src/settings_type.h